import { jsx } from "react/jsx-runtime";
import { MusicNotesIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const MusicNotes = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "MusicNotes", ...props, children: /* @__PURE__ */ jsx(MusicNotesIcon, { weight: variant }) });
  }
);
MusicNotes.displayName = "MusicNotes";
Object.assign(MusicNotes, { isGdsIcon: true });
export {
  MusicNotes
};
